import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/consultation_widget.dart';
import 'package:pharmacy_mobile/widgets/customer_pagebackground_widget.dart';
import 'package:pharmacy_mobile/widgets/customer_title_widget.dart';
import 'package:pharmacy_mobile/widgets/logo_widget.dart';
import 'package:pharmacy_mobile/widgets/page_background_widget.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';

class CustomerMainPage extends StatefulWidget {
  // final NotchBottomBarController? controller;
  const CustomerMainPage({super.key});

  @override
  State<CustomerMainPage> createState() => _CustomerMainPageState();
}

class _CustomerMainPageState extends State<CustomerMainPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: CustomerPagebackgroundWidget(
            child: Column(
      children: [
        const Gap(96),
        const CustomerTitleWidget(),
        const Gap(16),
        const Row(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            TextWidget(
              text: 'Pharmacist Consultation',
              title: true,
              size: 14,
            ),
          ],
        ),
        const Gap(8),
        ConsultationWidget(
          name: 'Ofelia Franco-Alcala, RPh',
          description: 'Pharmacist',
          contact: '09205436095',
          imagePath: 'assets/images/profile.webp',
          color: 'pink',
          margin: 32,
        ),
        const Gap(8),
        ConsultationWidget(
          name: 'Pamela Claire Alcala, RPh',
          description: 'Pharmacist',
          contact: '09205436095',
          imagePath: 'assets/images/profile.webp',
          color: 'pink',
          margin: 32,
        ),
        const Gap(16),
        const Row(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            TextWidget(
              text: 'Doctor Consultation',
              title: true,
              size: 14,
            ),
          ],
        ),
        const Gap(8),
        ConsultationWidget(
          name: 'Floherna Franco-Diccion, PhD',
          description: 'Physician',
          contact: '09205436095',
          imagePath: 'assets/images/profile.webp',
          color: 'blue',
          margin: 32,
        ),
        // const Gap(32),
        // ButtonWidget(text: 'Log Out', onPressed: signOut)
      ],
    )));
  }
}
